#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define 	__jar_repack	%{nil}
%define		majorver	%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	perl
Version		:	5.38.2
Release		:	17.0.10.rel%{?dist}
Epoch		:	2
Summary		:	Practical Extraction and Report Language
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	(GPL+ or Artistic) and (GPLv2+ or Artistic) and Copyright Only and MIT and Public Domain and UCD
URL		:	http://www.perl.org/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
Provides	:	perl(:VERSION)	=	%{version}

Provides	:	/bin/perl

#-----------------------------------------------------------------------------
### remove autoreq Perl dependencies
%filter_from_requires /^perl.*/d
%filter_setup

# don't scan the examples for autoreq/prov
%filter_requires_in %{_docdir}
%filter_provides_in %{_docdir}
#

#-----------------------------------------------------------------------------
%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications are system
administration utilities and web programming.  A large proportion of
the CGI scripts on the web are written in Perl.  You need the perl
package installed on your system so that your system can handle Perl
scripts.

Install this package if you want to program in Perl or enable your
system to handle Perl scripts.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS Artistic README.linux
%{_bindir}/*
%{_rpmmacrodir}/macros.%{name}
%{_libdir}/%{name}5/%{version}/core_perl/*
%{_datadir}/%{name}5/core_perl/*
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

#excluding File pertaining to perl-JSON-PP package
%exclude %{_bindir}/json_pp
%exclude %dir %{_datadir}/%{name}5/core_perl/JSON
%exclude %dir %{_datadir}/%{name}5/core_perl/JSON/PP
%exclude %{_datadir}/%{name}5/core_perl/JSON/PP.pm
%exclude %{_datadir}/%{name}5/core_perl/JSON/PP/Boolean.pm
%exclude %{_mandir}/man1/json_pp.1.gz
%exclude %{_mandir}/man3/JSON::PP.3.gz
%exclude %{_mandir}/man3/JSON::PP::Boolean.3.gz

#excluding File pertaining to perl-Data-Dumper package
%exclude %dir %{_libdir}/%{name}5/%{version}/core_perl/Data
%exclude %{_libdir}/%{name}5/%{version}/core_perl/Data/Dumper.pm
%exclude %dir %{_libdir}/%{name}5/%{version}/core_perl/auto/Data
%exclude %dir %{_libdir}/%{name}5/%{version}/core_perl/auto/Data/Dumper
%exclude %{_libdir}/%{name}5/%{version}/core_perl/auto/Data/Dumper/Dumper.so
%exclude %{_mandir}/man3/Data::Dumper.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

export BUILD_ZLIB=False
export BUILD_BZIP2=0
sh Configure							\
	-des							\
        -Dprefix=%{_prefix}					\
        -Dvendorprefix=%{_prefix}				\
	-Dprivlib=%{_datadir}/%{name}5/core_perl		\
	-Darchlib=%{_libdir}/%{name}5/%{version}/core_perl	\
	-Dsitelib=%{_datadir}/%{name}5/site_perl		\
	-Dsitearch=%{_libdir}/%{name}5/%{version}/site_perl	\
	-Dvendorlib=%{_datadir}/%{name}5/vendor_perl		\
	-Dvendorarch=%{_libdir}/%{name}5/%{version}/vendor_perl\
        -Dman1dir=%{_mandir}/man1				\
        -Dman3dir=%{_mandir}/man3				\
	-Dpager="/usr/bin/less -isR"				\
	-Duseshrplib						\
	-Dusethreads						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
#%{__make}							\
#	test

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

#installing perl macros
%{__mkdir_p} %{buildroot}%{_rpmmacrodir}
%{__cp} 							\
	%{name}-ok_addon/macros.%{name}				\
	%{buildroot}%{_rpmmacrodir}

%{__chmod} -R +w %{buildroot}%{_libdir}

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
#-----------------------------------------------------------------------------
%changelog
